classification
Title: docs: more information on documentation team
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, docs@python, ezio.melotti, georg.brandl, laura, python-dev, techtonik, terry.chia, tshepang
Priority: normal Keywords: easy, patch

Created on 2013-05-01 12:55 by techtonik, last changed 2016-06-05 04:38 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
issue17888.patch terry.chia, 2014-06-23 13:05 review
issue17888_2.patch laura, 2016-06-03 19:32 review
Messages (10)
msg188218 - (view) Author: anatoly techtonik (techtonik) Date: 2013-05-01 12:55
To help people understand that they can actually improve Python docs themselves, how about the following changes:

http://docs.python.org/3/bugs.html - rename from "Reporting Bugs" to "Dealing with Bugs".

Explain that sometimes fixing bug is easier than reporting, because it involves less time from all people in total. Link to step-by-step documentation for the process and include channel for proposals how to make the process more streamlined.

Add links to archive and docs@python.org mailing list info
http://mail.python.org/mailman/listinfo/docs

On this info page make it clear that "Python documentation team" is not a team in common narrow sense, but a group of volunteers open for everybody. Either by providing a link to team page with listed members, or by replacing the text:
- "Mailing list for the Python documentation team"
+ "Mailing list for people collaborating on Python docs"
msg188219 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-05-01 12:57
Sounds good, please prepare a patch.
msg188229 - (view) Author: anatoly techtonik (techtonik) Date: 2013-05-01 14:51
May take a few days.
msg220768 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2014-06-16 21:18
In recent months people have been doing some great work on the docs, is this something that one of them could pick up?  I'm sorry that I can't remember any names.
msg221352 - (view) Author: Terry Chia (terry.chia) * Date: 2014-06-23 13:05
Hello,

I have attached a patch that should resolve this issue. Do let me know if anything needs fixing as this is my first contribution.
msg264966 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-05-06 11:50
issue17888.patch looks good to me. I'd probably remove the "necessary skills" part.
msg267148 - (view) Author: Laura Rupprecht (laura) * Date: 2016-06-03 19:32
I've updated the patch from Terry with Berker's suggestion.
msg267171 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-06-03 22:04
Thanks, Laura. I will commit issue17888_2.patch later today.
msg267375 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-06-05 04:37
New changeset 3136c67eac4d by Berker Peksag in branch '3.5':
Issue #17888: Add a note about contributing to Python docs
https://hg.python.org/cpython/rev/3136c67eac4d

New changeset 1f8181e66b36 by Berker Peksag in branch 'default':
Issue #17888: Merge from 3.5
https://hg.python.org/cpython/rev/1f8181e66b36
msg267377 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-06-05 04:38
Thanks for the patches Terry and Laura.
History
Date User Action Args
2016-06-05 04:38:49berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg267377

stage: patch review -> resolved
2016-06-05 04:37:48python-devsetnosy: + python-dev
messages: + msg267375
2016-06-03 22:04:23berker.peksagsetmessages: + msg267171
2016-06-03 19:32:06laurasetfiles: + issue17888_2.patch
nosy: + laura
messages: + msg267148

2016-05-06 12:40:01BreamoreBoysetnosy: - BreamoreBoy
2016-05-06 11:50:41berker.peksagsetversions: + Python 3.5, Python 3.6
nosy: + berker.peksag

messages: + msg264966

stage: needs patch -> patch review
2014-06-23 13:05:19terry.chiasetfiles: + issue17888.patch

nosy: + terry.chia
messages: + msg221352

keywords: + patch
2014-06-20 02:50:32ezio.melottisetkeywords: + easy
type: enhancement
stage: needs patch
2014-06-16 21:18:08BreamoreBoysetnosy: + BreamoreBoy
messages: + msg220768
2013-05-03 16:44:10tshepangsetnosy: + tshepang
2013-05-01 14:51:49techtoniksetmessages: + msg188229
2013-05-01 13:00:52ezio.melottisetnosy: + ezio.melotti
2013-05-01 12:57:25georg.brandlsetnosy: + georg.brandl
messages: + msg188219
2013-05-01 12:55:14techtonikcreate